Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 371947 - Do not allow commits of packages with no ebuilds (eg. empty directories.)
Summary: Do not allow commits of packages with no ebuilds (eg. empty directories.)
Status: UNCONFIRMED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: CVS/SVN/Git (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-16 18:55 UTC by Matt
Modified: 2019-10-02 20:51 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2011-06-16 18:55:42 UTC
Portage won't let me install kttsd:

root@toa-tahu /tmp # emerge -pv kttsd

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "kttsd".

emerge: searching for similar names...^[[A
emerge: Maybe you meant any of these: kde-base/kttsd, net-dns/totd, kde-base/kscd?


root@toa-tahu /tmp # emerge -pv kde-base/kttsd

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "kde-base/kttsd".

emerge: searching for similar names...
emerge: Maybe you meant any of these: kde-base/kttsd, kde-base/kscd, kde-base/kjots?


root@toa-tahu /tmp # equery l -p kde-base/kttsd
 * Searching for kttsd in kde-base ...
!!! No packages matching 'kde-base/kttsd'


root@toa-tahu /tmp # equery l -p kttsd
 * Searching for kttsd ...
!!! No packages matching 'kttsd'


root@toa-tahu /tmp # ls -l /usr/portage/kde-base/kttsd/
total 28
-rw-r--r-- 1 root root 19530 Jun  2 18:01 ChangeLog
-rw-r--r-- 1 root root  1260 Jun  2 18:01 Manifest
-rw-r--r-- 1 root root   156 Jun  2 18:01 metadata.xml



Is this on purpose that there's no ebuild, or has this been removed?


M.
Comment 1 Samuli Suominen gentoo-dev 2011-06-16 19:43:50 UTC
ssuominen@unique ~/gentoo-x86/kde-base/kttsd $ ls
ChangeLog  CVS  Manifest  metadata.xml
ssuominen@unique ~/gentoo-x86/kde-base/kttsd $ cvs up
ssuominen@unique ~/gentoo-x86/kde-base/kttsd $ repoman full

RepoMan scours the neighborhood...
  ebuild.allmasked              1
   kde-base/kttsd
RepoMan sez: "You're only giving me a partial QA payment?
              I'll take it this time, but I'm not happy."
ssuominen@unique ~/gentoo-x86/kde-base/kttsd $ ls *.ebuild
ls: cannot access *.ebuild: No such file or directory
ssuominen@unique ~/gentoo-x86/kde-base/kttsd $ 

Repoman seems to be fine with "empty" directories.    Please reassign this bug to infra (idl0r) after this particular issue is fixed so we can get some script to check these type of issues for qa-reports.gentoo.org
Comment 2 Andreas K. Hüttel gentoo-dev 2011-06-16 22:03:15 UTC
Cleanup done, all kde-base packages that do not exist anymore with kde-4.6 have been fully removed from the tree. 

@idl0r: as Samuli says, it would be nice to have a script checking for directories without ebuilds. 

(Although under normal circumstances this should never happen, as a package gets only removed after proper lastriting etc.)
Comment 3 Matt 2011-06-17 00:50:55 UTC
Thanks folks!

I just thought I'd also post for future generations that may run into this, according to:

http://techbase.kde.org/Development/Tutorials/Text-To-Speech

kttsd has been renamed to / replaced by "jovie".  Yes, as of this typing, it's in portage:

$ equery l -p jovie
 * Searching for jovie ...
[-P-] [  ] kde-base/jovie-4.6.2:4
[-P-] [  ] kde-base/jovie-4.6.3:4
[-P-] [ ~] kde-base/jovie-4.6.4:4

I hadn't known this.


M.
Comment 4 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2011-06-17 09:10:27 UTC
Assigning to infra to consider adding/extending the hook to refuse such commits.
CC'ing qa@ because of the qa-scripts idea.

@portage, can we get it somehow into repoman, to refuse such commits?

Andreas, you've used --force on "repoman ci", didn't it complain?
Comment 5 Samuli Suominen gentoo-dev 2011-06-17 12:16:20 UTC
(In reply to comment #0)
> emerge: Maybe you meant any of these: kde-base/kttsd, net-dns/totd,
> kde-base/kscd?

This false suggestion is now split in bug 372033.
Comment 6 SpanKY gentoo-dev 2011-09-25 06:48:23 UTC
is this even possible with cvs ?  commits there are per-file, so seeing the first commit which adds "ChangeLog" cannot block since the new ebuilds don't come until after that has been accepted.